org.apache.cassandra.auth

## Class Roles

- java.lang.Object
- - org.apache.cassandra.auth.Roles

-     public class Roles
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Roles()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<RoleResource>` | `getRoles(RoleResource primaryRole)` Get all roles granted to the supplied Role, including both directly granted and inherited roles.
    `static boolean` | `hasSuperuserStatus(RoleResource role)` Returns true if the supplied role or any other role granted to it (directly or indirectly) has superuser status.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Roles

          public Roles()

  - ### Method Detail

    - #### getRoles

          public static java.util.Set<RoleResource> getRoles(RoleResource primaryRole)

      Get all roles granted to the supplied Role, including both directly granted and inherited roles. The returned roles may be cached if roles_validity_in_ms > 0
      Parameters:
        `primaryRole` - the Role
      Returns:
        set of all granted Roles for the primary Role

    - #### hasSuperuserStatus

          public static boolean hasSuperuserStatus(RoleResource role)

      Returns true if the supplied role or any other role granted to it (directly or indirectly) has superuser status.
      Parameters:
        `role` - the primary role
      Returns:
        true if the role has superuser status, false otherwise

Copyright © 2018 The Apache Software Foundation